MyGUI: MyGUI::IPointer Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::IPointer Class Referenceabstract

`#include <MyGUI_IPointer.h>`

Inheritance diagram for MyGUI::IPointer:
[legend]

## Public Types
typedef RTTIBase | Base
typedef IPointer | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type >
bool | isType () const
virtual void | setImage (ImageBox *_image)=0
virtual void | setPosition (ImageBox *_image, const IntPoint &_point)=0
Public Member Functions inherited from MyGUI::IResource
template<typename Type >
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (const std::string &_value)
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()=default
virtual | ~IObject ()=default

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::IResource
| IResource ()=default
| ~IResource () override=default
| IResource (IResource const &)=delete
IResource & | operator= (IResource const &)=delete
void | deserialization (xml::ElementPtr _node, Version) override
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 16 of file MyGUI_IPointer.h.

## Member Typedef Documentation

## ◆ Base

RTTIBase MyGUI::IPointer::Base

Definition at line 19 of file MyGUI_IPointer.h.

## ◆ RTTIBase

IPointer MyGUI::IPointer::RTTIBase

Definition at line 19 of file MyGUI_IPointer.h.

## Member Function Documentation

## ◆ getClassTypeName()

static const std::string & MyGUI::IPointer::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 19 of file MyGUI_IPointer.h.

## ◆ getTypeName()

virtual const std::string & MyGUI::IPointer::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::IResource.

Reimplemented in MyGUI::ResourceImageSetPointer, and MyGUI::ResourceManualPointer.

Definition at line 19 of file MyGUI_IPointer.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::IPointer::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 19 of file MyGUI_IPointer.h.

## ◆ isType() [2/2]

virtual bool MyGUI::IPointer::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::IResource.

Reimplemented in MyGUI::ResourceImageSetPointer, and MyGUI::ResourceManualPointer.

Definition at line 19 of file MyGUI_IPointer.h.

## ◆ setImage()

virtual void MyGUI::IPointer::setImage | ( | ImageBox * | _image | ) |
| pure virtual

Implemented in MyGUI::ResourceImageSetPointer, and MyGUI::ResourceManualPointer.

## ◆ setPosition()

virtual void MyGUI::IPointer::setPosition | ( | ImageBox * | _image,
|  | const IntPoint & | _point )
| pure virtual

Implemented in MyGUI::ResourceImageSetPointer, and MyGUI::ResourceManualPointer.

The documentation for this class was generated from the following file:

- MyGUI_IPointer.h